﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{C781737A-7C97-4CF9-ACBC-F68C2BBF0FFA}</ProjectGuid>
    <RootNamespace>scicos_sundials</RootNamespace>
    <Keyword>Win32Proj</Keyword>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>false</WholeProgramOptimization>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>false</WholeProgramOptimization>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <PreBuildEvent>
    </PreBuildEvent>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>include;include/sundials;src/cvode;src/ida;src/kinsol;src/nvec_ser;src/sundials;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;_DEBUG;_WINDOWS;_USRDLL;SCICOS_SUNDIALS_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <PreLinkEvent>
      <Message>Build $(ProjectName).def</Message>
      <Command>setlocal EnableDelayedExpansion
cd $(ConfigurationName)
set LIST_OBJ=
for %%f in (*.obj) do set LIST_OBJ=!LIST_OBJ! %%f
"$(SolutionDir)bin\dumpexts" -o $(ProjectName).def $(ProjectName).dll %LIST_OBJ%
copy $(ProjectName).def ..\$(ProjectName).def &gt;nul
del *.def &gt;nul
cd ..
</Command>
    </PreLinkEvent>
    <Link>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <ModuleDefinitionFile>scicos_sundials.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
    </Link>
    <PostBuildEvent>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <PreBuildEvent>
    </PreBuildEvent>
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>include;include/sundials;src/cvode;src/ida;src/kinsol;src/nvec_ser;src/sundials;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;_DEBUG;_WINDOWS;_USRDLL;SCICOS_SUNDIALS_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
    </ClCompile>
    <PreLinkEvent>
      <Message>Build $(ProjectName).def</Message>
      <Command>setlocal EnableDelayedExpansion
cd $(ConfigurationName)
set LIST_OBJ=
for %%f in (*.obj) do set LIST_OBJ=!LIST_OBJ! %%f
"$(SolutionDir)bin\dumpexts" -o $(ProjectName).def $(ProjectName).dll %LIST_OBJ%
copy $(ProjectName).def ..\$(ProjectName).def &gt;nul
del *.def &gt;nul
cd ..
</Command>
    </PreLinkEvent>
    <Link>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <ModuleDefinitionFile>scicos_sundials.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX64</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
    </Link>
    <PostBuildEvent>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <PreBuildEvent>
    </PreBuildEvent>
    <ClCompile>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>include;include/sundials;src/cvode;src/ida;src/kinsol;src/nvec_ser;src/sundials;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;NDEBUG;_WINDOWS;_USRDLL;SCICOS_SUNDIALS_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <PreLinkEvent>
      <Message>Build $(ProjectName).def</Message>
      <Command>setlocal EnableDelayedExpansion
cd $(ConfigurationName)
set LIST_OBJ=
for %%f in (*.obj) do set LIST_OBJ=!LIST_OBJ! %%f
"$(SolutionDir)bin\dumpexts" -o $(ProjectName).def $(ProjectName).dll %LIST_OBJ%
copy $(ProjectName).def ..\$(ProjectName).def &gt;nul
del *.def &gt;nul
cd ..
</Command>
    </PreLinkEvent>
    <Link>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <ModuleDefinitionFile>scicos_sundials.def</ModuleDefinitionFile>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
    </Link>
    <PostBuildEvent>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <PreBuildEvent>
    </PreBuildEvent>
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>include;include/sundials;src/cvode;src/ida;src/kinsol;src/nvec_ser;src/sundials;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;NDEBUG;_WINDOWS;_USRDLL;SCICOS_SUNDIALS_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <PreLinkEvent>
      <Message>Build $(ProjectName).def</Message>
      <Command>setlocal EnableDelayedExpansion
cd $(ConfigurationName)
set LIST_OBJ=
for %%f in (*.obj) do set LIST_OBJ=!LIST_OBJ! %%f
"$(SolutionDir)bin\dumpexts" -o $(ProjectName).def $(ProjectName).dll %LIST_OBJ%
copy $(ProjectName).def ..\$(ProjectName).def &gt;nul
del *.def &gt;nul
cd ..
</Command>
    </PreLinkEvent>
    <Link>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <ModuleDefinitionFile>scicos_sundials.def</ModuleDefinitionFile>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX64</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
    </Link>
    <PostBuildEvent>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="src\cvode\cvode.c" />
    <ClCompile Include="src\cvode\cvode_dense.c" />
    <ClCompile Include="src\cvode\cvode_direct.c" />
    <ClCompile Include="src\cvode\cvode_io.c" />
    <ClCompile Include="src\ida\ida.c" />
    <ClCompile Include="src\ida\ida_dense.c" />
    <ClCompile Include="src\ida\ida_direct.c" />
    <ClCompile Include="src\ida\ida_ic.c" />
    <ClCompile Include="src\ida\ida_io.c" />
    <ClCompile Include="src\kinsol\kinsol.c" />
    <ClCompile Include="src\kinsol\kinsol_dense.c" />
    <ClCompile Include="src\kinsol\kinsol_direct.c" />
    <ClCompile Include="src\kinsol\kinsol_io.c" />
    <ClCompile Include="src\nvec_ser\nvector_serial.c" />
    <ClCompile Include="src\sundials\sundials_dense.c" />
    <ClCompile Include="src\sundials\sundials_direct.c" />
    <ClCompile Include="src\sundials\sundials_extension.c" />
    <ClCompile Include="src\sundials\sundials_math.c" />
    <ClCompile Include="src\sundials\sundials_nvector.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="include\cvode\cvode.h" />
    <ClInclude Include="include\cvode\cvode_dense.h" />
    <ClInclude Include="include\cvode\cvode_direct.h" />
    <ClInclude Include="src\cvode\cvode_direct_impl.h" />
    <ClInclude Include="src\cvode\cvode_impl.h" />
    <ClInclude Include="include\ida\ida.h" />
    <ClInclude Include="include\ida\ida_dense.h" />
    <ClInclude Include="include\ida\ida_direct.h" />
    <ClInclude Include="src\ida\ida_direct_impl.h" />
    <ClInclude Include="src\ida\ida_impl.h" />
    <ClInclude Include="include\kinsol\kinsol.h" />
    <ClInclude Include="include\kinsol\kinsol_dense.h" />
    <ClInclude Include="include\kinsol\kinsol_direct.h" />
    <ClInclude Include="src\kinsol\kinsol_direct_impl.h" />
    <ClInclude Include="src\kinsol\kinsol_impl.h" />
    <ClInclude Include="include\nvector\nvector_serial.h" />
    <ClInclude Include="include\sundials\sundials_config.h" />
    <ClInclude Include="include\sundials\sundials_dense.h" />
    <ClInclude Include="include\sundials\sundials_direct.h" />
    <ClInclude Include="include\sundials\sundials_extension.h" />
    <ClInclude Include="include\sundials\sundials_math.h" />
    <ClInclude Include="include\sundials\sundials_nvector.h" />
    <ClInclude Include="include\sundials\sundials_types.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="scicos_sundials.rc" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\..\tools\Dumpexts\Dumpexts.vcxproj">
      <Project>{3170e4c2-1173-4264-a222-7ee8ccb3ddf7}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>